#define BLYNK_PRINT Serial
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "INSERT PROJECT ID HERE";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "INSERT WIFI NAME";
char pass[] = "INSERT WIFI PASSWORD";

unsigned long previousMillis = 0;
//float previousValue;
const long interval = 10000;   

BlynkTimer timer;

void myTimerEvent()
{
  float value = digitalRead(D2);
  if (value == 1)
    Blynk.virtualWrite(V5, "Bas en eau!");
  else {
    Blynk.virtualWrite(V5, "Bon niveau d'eau");
  }
}

void setup()
{
  Serial.begin(9600);
  pinMode(D8, OUTPUT);
  pinMode(A0, INPUT);
  pinMode(D2, INPUT);
  Blynk.begin(auth, ssid, pass);
  timer.setInterval(1000L, myTimerEvent);
}

void loop()
{
  Blynk.run();
  timer.run();
  unsigned long currentMillis = millis();
  Serial.println(analogRead(A0));
  if (currentMillis - previousMillis >= interval) {
      previousMillis = currentMillis;
      if (analogRead(A0)<300)
          digitalWrite(D8,0);
      else
        digitalWrite(D8, 1);
 }
   
}
